Create multiple snippets
curl --request POST \
--url https://www.getsnippets.ai/api/prompts/snippets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"snippets": [
{
"title": "My API Snippet",
"content": {
"type": "plaintext",
"content": "Hello, world!"
},
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"note": "<string>",
"shortcut": "<string>",
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tagIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"additionalVariations": [
{
"content": {
"type": "plaintext",
"content": "Hello, world!"
},
"variationName": "Spanish Version"
}
]
}
]
}
'import requests
url = "https://www.getsnippets.ai/api/prompts/snippets"
payload = { "snippets": [
{
"title": "My API Snippet",
"content": {
"type": "plaintext",
"content": "Hello, world!"
},
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"note": "<string>",
"shortcut": "<string>",
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tagIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"additionalVariations": [
{
"content": {
"type": "plaintext",
"content": "Hello, world!"
},
"variationName": "Spanish Version"
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
snippets: [
{
title: 'My API Snippet',
content: {type: 'plaintext', content: 'Hello, world!'},
teamId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
note: '<string>',
shortcut: '<string>',
folderId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
tagIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
additionalVariations: [
{
content: {type: 'plaintext', content: 'Hello, world!'},
variationName: 'Spanish Version'
}
]
}
]
})
};
fetch('https://www.getsnippets.ai/api/prompts/snippets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"message": "<string>",
"createdSnippets": [
{
"snippetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"usage": {
"remainingRequests": 123,
"usageDeducted": 123
},
"metadata": {
"requestedCount": 123,
"createdCount": 123,
"failedCount": 123
}
}Snippets
Create Multiple Snippets
Creates multiple snippets in a single request. API Cost: N requests (one per snippet).
POST
/
snippets
Create multiple snippets
Authorizations
API key authentication using Bearer token. Include your API key in the Authorization header.
Body
application/json
Maximum array length:
100Show child attributes
Show child attributes
⌘I